List Candidates
/unified/ats/candidates
Partial response — use the "get" endpoint for the full object.
Query Parameters
Refer Specifying query parameters in Truto APIs
9 supported2 required9 notes
The unique identifier of the job to fetch the candidates for.
The ID of the job to filter the candidates by.
The ID of the job to filter the candidates by.
The ID of the job to filter the candidates by.
The ID of the job to filter the candidates by.
The ID of the job to filter the candidates by.
The ID of the job to filter the candidates by.
The ID of the job to filter the candidates by.
The ID of the job to filter the candidates by.
The unique identifier of the organization to fetch the candidates for.
1 supported
created_atupdated_at
2 supported
The date and time of the phone number's creation
ascdesc
1 supported
The date and time of the phone number's last update
ascdesc
1 supported
The job interview stage's job
2 supported
Unique identifier of the job
1 supported
The date and time of the phone number's creation
22 supported
The date and time of the phone number's last update
17 supported
The candidate's tags
16 supported
The tag's unique identifier
The tag's name
The email of the candidate to filter the candidates by.
24 supported
The candidate's email
The candidate's email type
The ID of the candidate to filter the candidates by.
1 supported
The user's full name
23 supported
The candidate's title
11 supported
The candidate's company
9 supported
The ID of the stage to filter the candidates by.
1 supported
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.
idIgnores the limit query parameter.
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barResponse Body
The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.
List of Candidates
The candidate's unique identifier
25 supported
The candidate's applications
21 supported
12 properties
The date and time of the application's creation
The application's attachments
9 properties
The attachment's unique identifier
The attachment's application
1 property
Unique identifier of the application
The attachment's type
The attachment's candidate
1 property
Unique identifier of the candidate
The date and time of the attachment's creation
The attachment's file_name
The attachment's file_url
The attachment's job
1 property
Unique identifier of the job
The date and time of the attachment's last update
The application's candidate
1 property
Unique identifier of the candidate
The date and time of the application's creation
The application's credited_to
4 properties
3 properties
Email of the user
Whether the email is primary
Type of the email
First name of the user
Unique identifier of the user
Last name of the user
The application's current_stage
5 properties
The date and time of the application's current_stage's creation
The application's current_stage's unique identifier
The application's current_stage's job
1 property
Unique identifier of the job
The application's current_stage's name
The date and time of the application's current_stage's last update
The application's unique identifier
The application's job
1 property
Unique identifier of the job
The application's reject_reason
The date and time of the application's rejection
The application's source
2 properties
The application's source's unique identifier
The application's source's name
The date and time of the application's last update
The candidate's attachments
9 supported
9 properties
The attachment's unique identifier
The attachment's application
1 property
Unique identifier of the application
The attachment's type
The attachment's candidate
1 property
Unique identifier of the candidate
The date and time of the attachment's creation
The attachment's file_name
The attachment's file_url
The attachment's job
1 property
Unique identifier of the job
The date and time of the attachment's last update
Whether the candidate can email
8 supported
The candidate's company
9 supported
The date and time of the phone number's creation
22 supported
The candidate's emails
24 supported
2 properties
The candidate's email
The candidate's email type
The candidate's first_name
21 supported
Whether the candidate is_private
4 supported
The candidate's last_interaction date
6 supported
The candidate's last_name
21 supported
The candidate's locations
16 supported
The user's full name
23 supported
The candidate's phone numbers
23 supported
3 properties
The extension of the phone number
The candidate's phone number
The candidate's phone number type
Raw data returned from the remote API call.
The candidate's tags
16 supported
2 properties
The tag's unique identifier
The tag's name
The candidate's title
11 supported
The date and time of the phone number's last update
17 supported
The candidate's urls
10 supported
2 properties
The candidate's URL type
The candidate's URL
curl -X GET 'https://api.truto.one/unified/ats/candidates?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const integratedAccountId = '<integrated_account_id>';
const response = await fetch(`https://api.truto.one/unified/ats/candidates?integrated_account_id=${integratedAccountId}`, {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/ats/candidates"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.list(
'ats',
'candidates',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
async for item in truto_api.unified_api.list(
"ats",
"candidates",
{"integrated_account_id": "<integrated_account_id>"}
):
print(item)
asyncio.run(main())